CMSIS-DSP: arm_lms_norm_instance_q15 Struct Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_lms_norm_instance_q15 Struct Reference

Instance structure for the Q15 normalized LMS filter.

## Data Fields
uint16_t | numTaps
q15_t * | pState
q15_t * | pCoeffs
q15_t | mu
uint8_t | postShift
q15_t * | recipTable
q15_t | energy
q15_t | x0

## Field Documentation

q15_t arm_lms_norm_instance_q15::energy

saves previous frame energy.

Referenced by arm_lms_norm_init_q15(), and arm_lms_norm_q15().

q15_t arm_lms_norm_instance_q15::mu

step size that controls filter coefficient updates.

Referenced by arm_lms_norm_init_q15(), and arm_lms_norm_q15().

uint16_t arm_lms_norm_instance_q15::numTaps

Number of coefficients in the filter.

Referenced by arm_lms_norm_init_q15(), and arm_lms_norm_q15().

q15_t* arm_lms_norm_instance_q15::pCoeffs

points to the coefficient array. The array is of length numTaps.

Referenced by arm_lms_norm_init_q15(), and arm_lms_norm_q15().

uint8_t arm_lms_norm_instance_q15::postShift

bit shift applied to coefficients.

Referenced by arm_lms_norm_init_q15(), and arm_lms_norm_q15().

q15_t* arm_lms_norm_instance_q15::pState

points to the state variable array. The array is of length numTaps+blockSize-1.

Referenced by arm_lms_norm_init_q15(), and arm_lms_norm_q15().

q15_t* arm_lms_norm_instance_q15::recipTable

Points to the reciprocal initial value table.

Referenced by arm_lms_norm_init_q15(), and arm_lms_norm_q15().

q15_t arm_lms_norm_instance_q15::x0

saves previous input sample.

Referenced by arm_lms_norm_init_q15(), and arm_lms_norm_q15().